import { createSlice } from '@reduxjs/toolkit';
// FIXME: https://github.com/microsoft/TypeScript/issues/42873
import 'immer';
export const configSlice = createSlice({
    name: 'config',
    initialState: {
        intermittent: 3000,
    },
    reducers: {
        updateIntermittent: (state, { payload }) => {
            state.intermittent = payload;
        },
        init: (state, { payload }) => {
            for (const key in payload) {
                // @ts-ignore
                state[key] = payload[key];
            }
        },
    },
});
export const configActions = configSlice.actions;
// Other code such as selectors can use the imported `RootState` type
export const selectIntermittent = (state) => state.config.intermittent;
export const configReducer = configSlice.reducer;
//# sourceMappingURL=configSlice.js.map